Cyberduck Mountain Duck CLI

#2671 closed defect (worksforme)

Disconnects from F-Secure SSH server

Reported by: tehviu@… Owned by: dkocher
Priority: normal Milestone:
Component: sftp Version: 3.0.2
Severity: normal Keywords:
Cc: Architecture: PPC
Platform: Mac OS X 10.5

Description

I cannot connect to a SSH-2.0-2.4.0 F-Secure SSH Windows NT Server. It gets disconnected right after authentication with no error message shown. The log is completely empty. This is reproducible 100% of the time. I have not found any debug log or anything like it to help determining the problem.

I am using 3.0.3 (4205)

The server works fine with commandline sftp and Transmit

Change History (4)

comment:1 Changed on Oct 21, 2008 at 11:32:47 AM by dkocher

  • Component changed from core to sftp

Looks like a duplicate to #2664.

comment:2 Changed on Oct 21, 2008 at 1:27:51 PM by tehviu@…

So it seems, but I can't say. Here is the debuglog according to the instructions in #2664

2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,860 [main] DEBUG ch.cyberduck.core.Host - setProtocol:sftp 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,860 [main] DEBUG ch.cyberduck.core.Host - setHostname:<hostname> 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,861 [main] DEBUG ch.cyberduck.core.Host - setCredentialsch.cyberduck.core.Credentials@dddff 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,861 [main] DEBUG ch.cyberduck.core.Host - setEncoding:null 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,861 [main] INFO  ch.cyberduck.core.Host - IDN hostname for <hostname>:<hostname> 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,861 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - mount:sftp://<hostname> 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,861 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - unmount 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,871 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - setWorkdir:null 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,872 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - reloadData 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,872 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - deselectAll 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,873 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserOutlineViewModel - outlineViewNumberOfChildrenOfItem:null 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,873 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - setSelectedPaths 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,873 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - deselectAll 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,874 [Background] INFO  ch.cyberduck.ui.cocoa.CDWindowController - Acquired lock for background runnable:<hostname>
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,875 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:1 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,876 [Background] INFO  ch.cyberduck.core.Session - Mounting <hostname> 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,876 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:2 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,876 [Background] DEBUG ch.cyberduck.core.Session - connectionWillOpen 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,877 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:3 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,877 [main] INFO  ch.cyberduck.ui.cocoa.CDWindowController - Started background runnable:<hostname> 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,972 [Background] INFO  ch.cyberduck.core.Session - Resolving <hostname> 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,973 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:4 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,974 [Resolver for <hostname>] INFO  ch.cyberduck.core.Resolver - Resolved <hostname> to <ip> 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,975 [Background] INFO  ch.cyberduck.core.Session - Opening SFTP connection to <hostname> 
2008-10-21 16.20.42 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:42,975 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:5 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:43,877 [Background] INFO  ch.cyberduck.core.Session - SFTP connection opened 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:43,878 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:3 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:43,879 [Background] INFO  ch.cyberduck.core.Session - Authenticating as kk 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:43,880 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:4 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:43,880 [Background] DEBUG ch.cyberduck.core.sftp.SFTPSession - loginUsingPasswordAuthentication:ch.cyberduck.core.Credentials@dddff 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,567 [Background] INFO  ch.cyberduck.core.Session - Login successful 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,568 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:3 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,568 [Background] DEBUG ch.cyberduck.core.Session - connectionDidOpen 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,568 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:4 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,568 [Background] INFO  ch.cyberduck.core.Session - Starting SFTP subsystem 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,569 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:5 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,848 [Background] DEBUG ch.cyberduck.core.Session - connectionWillClose 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,849 [Background] INFO  ch.cyberduck.core.Session - Disconnecting <hostname> 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,849 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:5 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,850 [Background] DEBUG ch.cyberduck.core.Session - connectionDidClose 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,851 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:6 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,851 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:7 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,852 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:8 
2008-10-21 16.20.44 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:44,852 [Background] INFO  ch.cyberduck.ui.cocoa.CDWindowController - Releasing lock for background runnable:<hostname>
2008-10-21 16.20.45 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:45,669 [main] INFO  ch.cyberduck.core.Host - Exporting bookmark sftp://<hostname> to /Users/<username>/Library/Application Support/Cyberduck/History/<hostname> � SFTP.duck 
2008-10-21 16.20.45 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:45,673 [main] INFO  ch.cyberduck.core.Host - Bookmarks sucessfully saved in :/Users/<username>/Library/Application Support/Cyberduck/History/<hostname> � SFTP.duck 
2008-10-21 16.20.48 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:48,170 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - setWorkdir:null 
2008-10-21 16.20.48 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:48,171 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - reloadData 
2008-10-21 16.20.48 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:48,171 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - deselectAll 
2008-10-21 16.20.48 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:48,172 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserOutlineViewModel - outlineViewNumberOfChildrenOfItem:null 
2008-10-21 16.20.48 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:48,172 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - setSelectedPaths 
2008-10-21 16.20.48 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:48,172 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - deselectAll 
2008-10-21 16.20.48 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:48,172 [main] DEBUG ch.cyberduck.core.Session - connectionWillClose 
2008-10-21 16.20.48 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:48,173 [main] INFO  ch.cyberduck.core.Session - Disconnecting <hostname> 
2008-10-21 16.20.48 [0x0-0x44d44d].ch.sudo.cyberduck[54593] 2008-10-21 16:20:48,176 [main] DEBUG ch.cyberduck.core.Session - connectionDidClose

comment:3 Changed on Jul 22, 2010 at 4:56:51 PM by dkocher

  • Architecture set to PPC
  • Platform set to Mac OS X 10.5
  • Summary changed from Cyberduck disconnects from F-Secure SSH server to Disconnects from F-Secure SSH server

comment:4 Changed on Jul 23, 2010 at 10:00:50 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Starting the SFTP subsystem fails for some reason. Can you give me a test account on the server or check the SFTP subsystem configuration.

Note: See TracTickets for help on using tickets.
swiss made software